This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 991489 - [abrt] midori-0.5.4-1.fc19: WebCore::SubresourceLoader::checkForHTTPStatusCodeError: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.5.4-1.fc19: WebCore::SubresourceLoader::checkForHTTPStatusCod...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:50b5fffe129b37f24601caf9cc3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 10:14 EDT by Justin Walker
Modified: 2015-02-18 09:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:04:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.50 KB, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details
File: core_backtrace (5.46 KB, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details
File: dso_list (14.97 KB, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details
File: environ (1.39 KB, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details
File: maps (101.17 KB, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details
File: open_fds (1.70 KB, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details
File: var_log_messages (329 bytes, text/plain)
2013-08-02 10:14 EDT, Justin Walker
no flags Details

  None (edit)
Description Justin Walker 2013-08-02 10:14:22 EDT
Description of problem:
I believe that I was closing one tab with C-W, and then switching to another by clicking.

Version-Release number of selected component:
midori-0.5.4-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/midori
crash_function: WebCore::SubresourceLoader::checkForHTTPStatusCodeError
executable:     /usr/bin/midori
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: (midori4:2047): GLib-GIO-CRITICAL **: g_file_get_path: assertion `G_IS_FILE (file)' failed

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::SubresourceLoader::checkForHTTPStatusCodeError at /lib64/libwebkitgtk-1.0.so.0
 #1 WebCore::SubresourceLoader::didReceiveResponse at /lib64/libwebkitgtk-1.0.so.0
 #2 sendRequestCallback at /lib64/libwebkitgtk-1.0.so.0
 #3 g_task_return_now at gtask.c:1105
 #4 g_task_return at gtask.c:1158
 #5 http_input_stream_ready_cb at soup-request-http.c:124
 #6 g_task_return_now at gtask.c:1105
 #7 g_task_return at gtask.c:1158
 #8 async_send_request_return_result at soup-session.c:3630
 #9 send_async_maybe_complete at soup-session.c:3744
Comment 1 Justin Walker 2013-08-02 10:14:25 EDT
Created attachment 781973 [details]
File: backtrace
Comment 2 Justin Walker 2013-08-02 10:14:28 EDT
Created attachment 781974 [details]
File: cgroup
Comment 3 Justin Walker 2013-08-02 10:14:30 EDT
Created attachment 781975 [details]
File: core_backtrace
Comment 4 Justin Walker 2013-08-02 10:14:33 EDT
Created attachment 781976 [details]
File: dso_list
Comment 5 Justin Walker 2013-08-02 10:14:35 EDT
Created attachment 781977 [details]
File: environ
Comment 6 Justin Walker 2013-08-02 10:14:38 EDT
Created attachment 781978 [details]
File: limits
Comment 7 Justin Walker 2013-08-02 10:14:40 EDT
Created attachment 781979 [details]
File: maps
Comment 8 Justin Walker 2013-08-02 10:14:43 EDT
Created attachment 781980 [details]
File: open_fds
Comment 9 Justin Walker 2013-08-02 10:14:45 EDT
Created attachment 781981 [details]
File: proc_pid_status
Comment 10 Justin Walker 2013-08-02 10:14:48 EDT
Created attachment 781982 [details]
File: var_log_messages
Comment 11 Kevin Fenzi 2013-08-02 14:33:07 EDT
Can you get this to happen again? Or was it a on-time/timing issue?
Comment 12 Fedora End Of Life 2015-01-09 17:14:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-18 09:04:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.